require 'rinda/ring'
require 'rinda/tuplespace'

module Borges::DRb

  ##
  # Default DRb URI

  def self.handle_request(req)
    ring_server = ::Rinda::RingFinger.primary
    borges_server = ring_server.read([:name, :Borges, nil, nil])[2]
    return borges_server.handle_request(req)
  end

end # module Borges::DRb

class Borges::Request

  include DRb::DRbUndumped

end # class Borges::Request

class Borges::Response
  
  include DRb::DRbUndumped

end # class Borges::Response

